## kf6-kparts 6.6.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.6.0") # handled by release scripts
set(KF_DEP_VERSION "6.6.0") # handled by release scripts
project(KParts VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 6.6.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDEPackageAppTemplates)
include(ECMAddQch)

include(ECMGenerateExportHeader)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(ECMDeprecationSettings)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control how much of deprecated API is build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

set(kparts_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/kparts_version.h")
ecm_setup_version(PROJECT VARIABLE_PREFIX KPARTS
                        VERSION_HEADER "${kparts_version_header}"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6PartsConfigVersion.cmake"
                        SOVERSION 6)

set(REQUIRED_QT_VERSION 6.5.0)
find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Widgets Xml)

find_package(KF6Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF6CoreAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF6I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF6KIO ${KF_DEP_VERSION} REQUIRED)
find_package(KF6JobWidgets ${KF_DEP_VERSION} REQUIRED)
find_package(KF6Service ${KF_DEP_VERSION} REQUIRED)
find_package(KF6WidgetsAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF6XmlGui ${KF_DEP_VERSION} REQUIRED)

ecm_set_disabled_deprecation_versions(
    QT 6.5
    KF 5.240.0
)

if(BUILD_TESTING)
  add_subdirectory( tests )
  add_subdirectory( autotests )
endif()
add_definitions(-DTRANSLATION_DOMAIN=\"kparts6\")
ki18n_install(po)

add_subdirectory( src )
add_subdirectory(templates)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Parts")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF6Parts_QCH
        FILE KF6PartsQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6PartsQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6PartsConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6PartsConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6PartsConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6PartsConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF6PartsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6PartsTargets.cmake NAMESPACE KF6:: )

install(FILES
  ${kparts_version_header}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KParts COMPONENT Devel
)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

## kf6-kparts 6.3.0

=== debian/changelog ===
kf6-kparts (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 15:01:03 +0200

kf6-kparts (6.0.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.0.0).
  * Update upstream signing-key.
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Tue, 14 May 2024 22:03:32 +0200

kparts (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:07:34 +0100

kparts (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.105.0.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:46 +0200

kparts (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:10:03 +0100

kparts (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.103.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:32 +0100

kparts (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:10 +0100

kparts (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:36 +0100

kparts (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:06 +0100

kparts (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:13:06 +0200

kparts (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:41 +0200

kparts (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:09 +0200

kparts (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:07 +0200

kparts (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).
  * Update the list of installed files from build logs.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:48 +0200

kparts (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:44 +0100

kparts (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:41 +0900

kparts (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 10:59:09 +0900

kparts (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:48 +0900

kparts (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 08:19:10 +0900

kparts (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:08 +0900

kparts (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 13:25:32 +0900

kparts (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!

 -- Norbert Preining <norbert@preining.info>  Sat, 08 May 2021 21:17:28 +0900

kparts (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 10:18:20 +0900

kparts (5.80.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.80.0)
  * Bump inter-frameworks dependencies.
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Mar 2021 15:10:35 +0900



=== debian/control ===
Source: kf6-kparts
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.3.0~),
               libkf6config-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6jobwidgets-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libkf6service-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.3.0~),
               libkf6xmlgui-dev (>= 6.3.0~),
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kparts
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kparts
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kparts.git
Rules-Requires-Root: no

Package: libkf6parts-data
Architecture: all
Depends: ${misc:Depends},
Multi-Arch: foreign
Description: Document centric plugin system
 Framework providing elaborate user-interface components.
 .
 This package contains the data files.

Package: libkf6parts-dev
Section: libdevel
Architecture: any
Depends: libkf6kio-dev (>= 6.3.0~),
         libkf6parts6 (= ${binary:Version}),
         libkf6xmlgui-dev (>= 6.3.0~),
         qt6-base-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
Recommends: libkf6parts-doc (= ${source:Version}),
Description: development files for kparts
 Framework providing elaborate user-interface components.
 .
 Contains development files for kparts.

Package: libkf6parts-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Document centric plugin system (documentation)
 Framework providing elaborate user-interface components.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6parts6
Architecture: any
Multi-Arch: same
Depends: libkf6parts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Document centric plugin system
 Framework providing elaborate user-interface components.

## kf6-kparts 6.6.0

=== debian/changelog ===
kf6-kparts (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 23:15:01 +0200

kf6-kparts (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:22:12 +0200

kf6-kparts (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 6.4.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 09:25:02 +0200

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,15 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.3.0~),
-               libkf6config-dev (>= 6.3.0~),
-               libkf6coreaddons-dev (>= 6.3.0~),
-               libkf6i18n-dev (>= 6.3.0~),
-               libkf6jobwidgets-dev (>= 6.3.0~),
-               libkf6kio-dev (>= 6.3.0~),
-               libkf6service-dev (>= 6.3.0~),
-               libkf6widgetsaddons-dev (>= 6.3.0~),
-               libkf6xmlgui-dev (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
+               libkf6config-dev (>= 6.6.0~),
+               libkf6coreaddons-dev (>= 6.6.0~),
+               libkf6i18n-dev (>= 6.6.0~),
+               libkf6jobwidgets-dev (>= 6.6.0~),
+               libkf6kio-dev (>= 6.6.0~),
+               libkf6service-dev (>= 6.6.0~),
+               libkf6widgetsaddons-dev (>= 6.6.0~),
+               libkf6xmlgui-dev (>= 6.6.0~),
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-declarative-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
@@ -41,9 +41,9 @@
 Package: libkf6parts-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6kio-dev (>= 6.3.0~),
+Depends: libkf6kio-dev (>= 6.6.0~),
          libkf6parts6 (= ${binary:Version}),
-         libkf6xmlgui-dev (>= 6.3.0~),
+         libkf6xmlgui-dev (>= 6.6.0~),
          qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6parts-doc (= ${source:Version}),

## kf6-kparts 6.9.0

=== debian/changelog ===
kf6-kparts (6.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.9.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Dec 2024 14:48:16 +0000

kf6-kparts (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.7.0)
  * New upstream release (6.8.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 16:37:39 +0000

kf6-kparts (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:07:11 +0100

kf6-kparts (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:23:58 +0100

kf6-kparts (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)
  * Pass gcc option -std=c++17 to acc autopkgtests
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:35:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-kparts
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -9,15 +10,15 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.6.0~),
-               libkf6config-dev (>= 6.6.0~),
-               libkf6coreaddons-dev (>= 6.6.0~),
-               libkf6i18n-dev (>= 6.6.0~),
-               libkf6jobwidgets-dev (>= 6.6.0~),
-               libkf6kio-dev (>= 6.6.0~),
-               libkf6service-dev (>= 6.6.0~),
-               libkf6widgetsaddons-dev (>= 6.6.0~),
-               libkf6xmlgui-dev (>= 6.6.0~),
+               extra-cmake-modules (>= 6.9.0~),
+               libkf6config-dev (>= 6.9.0~),
+               libkf6coreaddons-dev (>= 6.9.0~),
+               libkf6i18n-dev (>= 6.9.0~),
+               libkf6jobwidgets-dev (>= 6.9.0~),
+               libkf6kio-dev (>= 6.9.0~),
+               libkf6service-dev (>= 6.9.0~),
+               libkf6widgetsaddons-dev (>= 6.9.0~),
+               libkf6xmlgui-dev (>= 6.9.0~),
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-declarative-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
@@ -25,8 +26,8 @@
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kparts
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kparts
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kparts.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kparts
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kparts
 Rules-Requires-Root: no
 
 Package: libkf6parts-data
@@ -41,9 +42,9 @@
 Package: libkf6parts-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6kio-dev (>= 6.6.0~),
+Depends: libkf6kio-dev (>= 6.9.0~),
          libkf6parts6 (= ${binary:Version}),
-         libkf6xmlgui-dev (>= 6.6.0~),
+         libkf6xmlgui-dev (>= 6.9.0~),
          qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6parts-doc (= ${source:Version}),

## kf6-kparts 6.10.0

=== debian/changelog ===
kf6-kparts (6.10.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.9.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.10.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 23:27:07 +0100

kf6-kparts (6.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.8.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Dec 2024 12:47:40 +0100

kf6-kparts (6.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 03 Nov 2024 19:29:26 -0600

=== debian/control ===
Source: kf6-kparts
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.10.0~),
               libkf6config-dev (>= 6.10.0~),
               libkf6coreaddons-dev (>= 6.10.0~),
               libkf6i18n-dev (>= 6.10.0~),
               libkf6jobwidgets-dev (>= 6.10.0~),
               libkf6kio-dev (>= 6.10.0~),
               libkf6service-dev (>= 6.10.0~),
               libkf6widgetsaddons-dev (>= 6.10.0~),
               libkf6xmlgui-dev (>= 6.10.0~),
               qt6-base-dev (>= 6.6.0~),
               qt6-declarative-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kparts
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kparts
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kparts.git
Rules-Requires-Root: no

Package: libkf6parts-data
Architecture: all
Depends: ${misc:Depends},
Multi-Arch: foreign
Description: Document centric plugin system
 Framework providing elaborate user-interface components.
 .
 This package contains the data files.

Package: libkf6parts-dev
Section: libdevel
Architecture: any
Depends: libkf6kio-dev (>= 6.10.0~),
         libkf6parts6 (= ${binary:Version}),
         libkf6xmlgui-dev (>= 6.10.0~),
         qt6-base-dev (>= 6.6.0~),
         ${misc:Depends},
Recommends: libkf6parts-doc (= ${source:Version}),
Description: development files for kparts
 Framework providing elaborate user-interface components.
 .
 Contains development files for kparts.

Package: libkf6parts-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Document centric plugin system (documentation)
 Framework providing elaborate user-interface components.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6parts6
Architecture: any
Multi-Arch: same
Depends: libkf6parts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Document centric plugin system
 Framework providing elaborate user-interface components.

## kf6-kparts 6.11.0

=== debian/changelog ===
kf6-kparts (6.11.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.11.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Feb 2025 17:25:11 +0100

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,15 @@
                dh-sequence-pkgkde-symbolshelper,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.10.0~),
-               libkf6config-dev (>= 6.10.0~),
-               libkf6coreaddons-dev (>= 6.10.0~),
-               libkf6i18n-dev (>= 6.10.0~),
-               libkf6jobwidgets-dev (>= 6.10.0~),
-               libkf6kio-dev (>= 6.10.0~),
-               libkf6service-dev (>= 6.10.0~),
-               libkf6widgetsaddons-dev (>= 6.10.0~),
-               libkf6xmlgui-dev (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
+               libkf6config-dev (>= 6.11.0~),
+               libkf6coreaddons-dev (>= 6.11.0~),
+               libkf6i18n-dev (>= 6.11.0~),
+               libkf6jobwidgets-dev (>= 6.11.0~),
+               libkf6kio-dev (>= 6.11.0~),
+               libkf6service-dev (>= 6.11.0~),
+               libkf6widgetsaddons-dev (>= 6.11.0~),
+               libkf6xmlgui-dev (>= 6.11.0~),
                qt6-base-dev (>= 6.6.0~),
                qt6-declarative-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
@@ -41,9 +41,9 @@
 Package: libkf6parts-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6kio-dev (>= 6.10.0~),
+Depends: libkf6kio-dev (>= 6.11.0~),
          libkf6parts6 (= ${binary:Version}),
-         libkf6xmlgui-dev (>= 6.10.0~),
+         libkf6xmlgui-dev (>= 6.11.0~),
          qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
 Recommends: libkf6parts-doc (= ${source:Version}),

## kf6-kparts 6.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.6.0") # handled by release scripts
-set(KF_DEP_VERSION "6.6.0") # handled by release scripts
+set(KF_VERSION "6.12.0") # handled by release scripts
+set(KF_DEP_VERSION "6.12.0") # handled by release scripts
 project(KParts VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.6.0  NO_MODULE)
+find_package(ECM 6.12.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -35,7 +35,7 @@
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6PartsConfigVersion.cmake"
                         SOVERSION 6)
 
-set(REQUIRED_QT_VERSION 6.5.0)
+set(REQUIRED_QT_VERSION 6.6.0)
 find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Widgets Xml)
 
 find_package(KF6Config ${KF_DEP_VERSION} REQUIRED)
@@ -48,8 +48,8 @@
 find_package(KF6XmlGui ${KF_DEP_VERSION} REQUIRED)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.5
-    KF 5.240.0
+    QT 6.8.0
+    KF 6.11.0
 )
 
 if(BUILD_TESTING)

=== debian/changelog ===
kf6-kparts (6.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.12.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Mar 2025 10:53:46 +0000

kf6-kparts (6.11.0-0ubuntu2) plucky; urgency=high

  * Sync changes from debian/6.10.0-1

 -- Rik Mills <rikmills@kde.org>  Sat, 15 Feb 2025 10:38:00 +0000

kf6-kparts (6.11.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.11.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Feb 2025 16:49:14 +0000

kf6-kparts (6.10.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.10.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2025 12:20:32 +0000

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: kf6-kparts
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.11.0~),
-               libkf6config-dev (>= 6.11.0~),
-               libkf6coreaddons-dev (>= 6.11.0~),
-               libkf6i18n-dev (>= 6.11.0~),
-               libkf6jobwidgets-dev (>= 6.11.0~),
-               libkf6kio-dev (>= 6.11.0~),
-               libkf6service-dev (>= 6.11.0~),
-               libkf6widgetsaddons-dev (>= 6.11.0~),
-               libkf6xmlgui-dev (>= 6.11.0~),
+               extra-cmake-modules (>= 6.12.0~),
+               libkf6config-dev (>= 6.12.0~),
+               libkf6coreaddons-dev (>= 6.12.0~),
+               libkf6i18n-dev (>= 6.12.0~),
+               libkf6jobwidgets-dev (>= 6.12.0~),
+               libkf6kio-dev (>= 6.12.0~),
+               libkf6service-dev (>= 6.12.0~),
+               libkf6widgetsaddons-dev (>= 6.12.0~),
+               libkf6xmlgui-dev (>= 6.12.0~),
                qt6-base-dev (>= 6.6.0~),
                qt6-declarative-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
@@ -25,8 +26,8 @@
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kparts
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kparts
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kparts.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kparts
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kparts
 Rules-Requires-Root: no
 
 Package: libkf6parts-data
@@ -41,9 +42,9 @@
 Package: libkf6parts-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6kio-dev (>= 6.11.0~),
+Depends: libkf6kio-dev (>= 6.12.0~),
          libkf6parts6 (= ${binary:Version}),
-         libkf6xmlgui-dev (>= 6.11.0~),
+         libkf6xmlgui-dev (>= 6.12.0~),
          qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
 Recommends: libkf6parts-doc (= ${source:Version}),

## kf6-kparts 6.13.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.12.0") # handled by release scripts
-set(KF_DEP_VERSION "6.12.0") # handled by release scripts
+set(KF_VERSION "6.13.0") # handled by release scripts
+set(KF_DEP_VERSION "6.13.0") # handled by release scripts
 project(KParts VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.12.0  NO_MODULE)
+find_package(ECM 6.13.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -48,8 +48,8 @@
 find_package(KF6XmlGui ${KF_DEP_VERSION} REQUIRED)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.8.0
-    KF 6.11.0
+    QT 6.9.0
+    KF 6.12.0
 )
 
 if(BUILD_TESTING)

=== debian/changelog ===
kf6-kparts (6.13.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.13.0).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Apr 2025 19:37:37 +0200

=== debian/control ===
Source: kf6-kparts
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.13.0~),
               libkf6config-dev (>= 6.13.0~),
               libkf6coreaddons-dev (>= 6.13.0~),
               libkf6i18n-dev (>= 6.13.0~),
               libkf6jobwidgets-dev (>= 6.13.0~),
               libkf6kio-dev (>= 6.13.0~),
               libkf6service-dev (>= 6.13.0~),
               libkf6widgetsaddons-dev (>= 6.13.0~),
               libkf6xmlgui-dev (>= 6.13.0~),
               qt6-base-dev (>= 6.6.0~),
               qt6-declarative-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/kparts
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kparts
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kparts.git
Rules-Requires-Root: no

Package: libkf6parts-data
Architecture: all
Depends: ${misc:Depends},
Multi-Arch: foreign
Description: Document centric plugin system
 Framework providing elaborate user-interface components.
 .
 This package contains the data files.

Package: libkf6parts-dev
Section: libdevel
Architecture: any
Depends: libkf6kio-dev (>= 6.13.0~),
         libkf6parts6 (= ${binary:Version}),
         libkf6xmlgui-dev (>= 6.13.0~),
         qt6-base-dev (>= 6.6.0~),
         ${misc:Depends},
Recommends: libkf6parts-doc (= ${source:Version}),
Description: development files for kparts
 Framework providing elaborate user-interface components.
 .
 Contains development files for kparts.

Package: libkf6parts-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Document centric plugin system (documentation)
 Framework providing elaborate user-interface components.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6parts6
Architecture: any
Multi-Arch: same
Depends: libkf6parts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Document centric plugin system
 Framework providing elaborate user-interface components.

## kf6-kparts 6.14.0

=== debian/changelog ===
kf6-kparts (6.14.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.14.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 06:59:14 +0100

=== debian/control ===
Source: kf6-kparts
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.14.0~),
               libkf6config-dev (>= 6.14.0~),
               libkf6coreaddons-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6jobwidgets-dev (>= 6.14.0~),
               libkf6kio-dev (>= 6.14.0~),
               libkf6service-dev (>= 6.14.0~),
               libkf6widgetsaddons-dev (>= 6.14.0~),
               libkf6xmlgui-dev (>= 6.14.0~),
               qt6-base-dev (>= 6.6.0~),
               qt6-declarative-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kparts
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kparts
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kparts
Rules-Requires-Root: no

Package: libkf6parts-data
Architecture: all
Depends: ${misc:Depends},
Multi-Arch: foreign
Description: Document centric plugin system
 Framework providing elaborate user-interface components.
 .
 This package contains the data files.

Package: libkf6parts-dev
Section: libdevel
Architecture: any
Depends: libkf6kio-dev (>= 6.14.0~),
         libkf6parts6 (= ${binary:Version}),
         libkf6xmlgui-dev (>= 6.14.0~),
         qt6-base-dev (>= 6.6.0~),
         ${misc:Depends},
Recommends: libkf6parts-doc (= ${source:Version}),
Description: development files for kparts
 Framework providing elaborate user-interface components.
 .
 Contains development files for kparts.

Package: libkf6parts-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Document centric plugin system (documentation)
 Framework providing elaborate user-interface components.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6parts6
Architecture: any
Multi-Arch: same
Depends: libkf6parts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Document centric plugin system
 Framework providing elaborate user-interface components.

## kf6-kparts 6.15.0

=== debian/changelog ===
kf6-kparts (6.15.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.15.0)
  * Comment out .install for docs packages for now, as the qch docs are
    currently not buildable in Ubuntu.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Jun 2025 16:34:33 +0100

=== debian/control ===
--- 
+++ 
@@ -10,15 +10,15 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.14.0~),
-               libkf6config-dev (>= 6.14.0~),
-               libkf6coreaddons-dev (>= 6.14.0~),
-               libkf6i18n-dev (>= 6.14.0~),
-               libkf6jobwidgets-dev (>= 6.14.0~),
-               libkf6kio-dev (>= 6.14.0~),
-               libkf6service-dev (>= 6.14.0~),
-               libkf6widgetsaddons-dev (>= 6.14.0~),
-               libkf6xmlgui-dev (>= 6.14.0~),
+               extra-cmake-modules (>= 6.15.0~),
+               libkf6config-dev (>= 6.15.0~),
+               libkf6coreaddons-dev (>= 6.15.0~),
+               libkf6i18n-dev (>= 6.15.0~),
+               libkf6jobwidgets-dev (>= 6.15.0~),
+               libkf6kio-dev (>= 6.15.0~),
+               libkf6service-dev (>= 6.15.0~),
+               libkf6widgetsaddons-dev (>= 6.15.0~),
+               libkf6xmlgui-dev (>= 6.15.0~),
                qt6-base-dev (>= 6.6.0~),
                qt6-declarative-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
@@ -42,9 +42,9 @@
 Package: libkf6parts-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6kio-dev (>= 6.14.0~),
+Depends: libkf6kio-dev (>= 6.15.0~),
          libkf6parts6 (= ${binary:Version}),
-         libkf6xmlgui-dev (>= 6.14.0~),
+         libkf6xmlgui-dev (>= 6.15.0~),
          qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
 Recommends: libkf6parts-doc (= ${source:Version}),

## kf6-kparts 6.16.0

=== debian/changelog ===
kf6-kparts (6.16.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.16.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 16:46:30 +0100

=== debian/control ===
--- 
+++ 
@@ -10,15 +10,15 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.15.0~),
-               libkf6config-dev (>= 6.15.0~),
-               libkf6coreaddons-dev (>= 6.15.0~),
-               libkf6i18n-dev (>= 6.15.0~),
-               libkf6jobwidgets-dev (>= 6.15.0~),
-               libkf6kio-dev (>= 6.15.0~),
-               libkf6service-dev (>= 6.15.0~),
-               libkf6widgetsaddons-dev (>= 6.15.0~),
-               libkf6xmlgui-dev (>= 6.15.0~),
+               extra-cmake-modules (>= 6.16.0~),
+               libkf6config-dev (>= 6.16.0~),
+               libkf6coreaddons-dev (>= 6.16.0~),
+               libkf6i18n-dev (>= 6.16.0~),
+               libkf6jobwidgets-dev (>= 6.16.0~),
+               libkf6kio-dev (>= 6.16.0~),
+               libkf6service-dev (>= 6.16.0~),
+               libkf6widgetsaddons-dev (>= 6.16.0~),
+               libkf6xmlgui-dev (>= 6.16.0~),
                qt6-base-dev (>= 6.6.0~),
                qt6-declarative-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
@@ -42,9 +42,9 @@
 Package: libkf6parts-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6kio-dev (>= 6.15.0~),
+Depends: libkf6kio-dev (>= 6.16.0~),
          libkf6parts6 (= ${binary:Version}),
-         libkf6xmlgui-dev (>= 6.15.0~),
+         libkf6xmlgui-dev (>= 6.16.0~),
          qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
 Recommends: libkf6parts-doc (= ${source:Version}),

## kf6-kparts 6.17.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.13.0") # handled by release scripts
-set(KF_DEP_VERSION "6.13.0") # handled by release scripts
+set(KF_VERSION "6.17.0") # handled by release scripts
+set(KF_DEP_VERSION "6.17.0") # handled by release scripts
 project(KParts VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.13.0  NO_MODULE)
+find_package(ECM 6.17.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -17,17 +17,14 @@
 include(KDECMakeSettings)
 include(KDEGitCommitHooks)
 include(KDEPackageAppTemplates)
-include(ECMAddQch)
 
 include(ECMGenerateExportHeader)
 include(ECMQtDeclareLoggingCategory)
 include(ECMSetupVersion)
 include(ECMDeprecationSettings)
+include(ECMGenerateQDoc)
 
 set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control how much of deprecated API is build [default=0].")
-
-option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
-add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
 
 set(kparts_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/kparts_version.h")
 ecm_setup_version(PROJECT VARIABLE_PREFIX KPARTS
@@ -35,7 +32,7 @@
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6PartsConfigVersion.cmake"
                         SOVERSION 6)
 
-set(REQUIRED_QT_VERSION 6.6.0)
+set(REQUIRED_QT_VERSION 6.7.0)
 find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Widgets Xml)
 
 find_package(KF6Config ${KF_DEP_VERSION} REQUIRED)
@@ -48,8 +45,8 @@
 find_package(KF6XmlGui ${KF_DEP_VERSION} REQUIRED)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.9.0
-    KF 6.12.0
+    QT 6.10.0
+    KF 6.16.0
 )
 
 if(BUILD_TESTING)
@@ -64,16 +61,6 @@
 
 # create a Config.cmake and a ConfigVersion.cmake file and install them
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Parts")
-
-if (BUILD_QCH)
-    ecm_install_qch_export(
-        TARGETS KF6Parts_QCH
-        FILE KF6PartsQchTargets.cmake
-        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
-        COMPONENT Devel
-    )
-    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6PartsQchTargets.cmake\")")
-endif()
 
 include(CMakePackageConfigHelpers)

=== templates/kparts6-app/src/shell/CMakeLists.txt ===
add_executable(%{APPNAMELC})

target_sources(%{APPNAMELC} PRIVATE
    main.cpp
    %{APPNAMELC}shell.cpp
    # handled by CMake's AUTORCC, as set by KDECMakeSettings
    %{APPNAMELC}.qrc
)

target_link_libraries(%{APPNAMELC}
    KF6::I18n
    KF6::Parts
)

install(TARGETS %{APPNAMELC} ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS %{APPNAMELC}.desktop  DESTINATION  ${KDE_INSTALL_APPDIR})

=== debian/changelog ===
kf6-kparts (6.17.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.17.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Aug 2025 18:17:02 +0100

=== debian/control ===
--- 
+++ 
@@ -10,15 +10,15 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.16.0~),
-               libkf6config-dev (>= 6.16.0~),
-               libkf6coreaddons-dev (>= 6.16.0~),
-               libkf6i18n-dev (>= 6.16.0~),
-               libkf6jobwidgets-dev (>= 6.16.0~),
-               libkf6kio-dev (>= 6.16.0~),
-               libkf6service-dev (>= 6.16.0~),
-               libkf6widgetsaddons-dev (>= 6.16.0~),
-               libkf6xmlgui-dev (>= 6.16.0~),
+               extra-cmake-modules (>= 6.17.0~),
+               libkf6config-dev (>= 6.17.0~),
+               libkf6coreaddons-dev (>= 6.17.0~),
+               libkf6i18n-dev (>= 6.17.0~),
+               libkf6jobwidgets-dev (>= 6.17.0~),
+               libkf6kio-dev (>= 6.17.0~),
+               libkf6service-dev (>= 6.17.0~),
+               libkf6widgetsaddons-dev (>= 6.17.0~),
+               libkf6xmlgui-dev (>= 6.17.0~),
                qt6-base-dev (>= 6.6.0~),
                qt6-declarative-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
@@ -42,9 +42,9 @@
 Package: libkf6parts-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6kio-dev (>= 6.16.0~),
+Depends: libkf6kio-dev (>= 6.17.0~),
          libkf6parts6 (= ${binary:Version}),
-         libkf6xmlgui-dev (>= 6.16.0~),
+         libkf6xmlgui-dev (>= 6.17.0~),
          qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
 Recommends: libkf6parts-doc (= ${source:Version}),

## kf6-kparts 6.18.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.17.0") # handled by release scripts
-set(KF_DEP_VERSION "6.17.0") # handled by release scripts
+set(KF_VERSION "6.18.0") # handled by release scripts
+set(KF_DEP_VERSION "6.18.0") # handled by release scripts
 project(KParts VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.17.0  NO_MODULE)
+find_package(ECM 6.18.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
find_package(Qt6Test ${REQUIRED_QT_VERSION} REQUIRED)
set_package_properties(Qt6Test PROPERTIES PURPOSE "Required for tests")

include(ECMAddTests)

########### a KParts ###############

# don't use kcoreaddons_add_plugin here since we don't want to install it
add_library(notepadpart MODULE)
target_sources(notepadpart PRIVATE notepad.cpp notepad.qrc)
# so we have to do the INSTALL_NAMESPACE thing by hand:
set_target_properties(notepadpart PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_LIBRARY_OUTPUT_DIRECTORY}/kf6/parts")
target_link_libraries(notepadpart KF6::Parts KF6::I18n)

########### tests ###############

ecm_add_tests(
  parttest.cpp
  partloadertest.cpp
  LINK_LIBRARIES KF6::Parts Qt6::Test KF6::XmlGui
)

=== templates/kparts6-app/icons/CMakeLists.txt ===
set(%{APPNAMELC}_ICONS
  16-apps-%{APPNAMELC}.png
  32-apps-%{APPNAMELC}.png
  48-apps-%{APPNAMELC}.png
)

ecm_install_icons(ICONS ${%{APPNAMELC}_ICONS} DESTINATION ${KDE_INSTALL_ICONDIR} THEME hicolor)

=== templates/kparts6-app/src/CMakeLists.txt ===
add_subdirectory(part)
add_subdirectory(shell)

=== debian/changelog ===
kf6-kparts (6.18.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.18.0).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 30 Sep 2025 19:18:44 +0200

=== debian/control ===
Source: kf6-kparts
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6jobwidgets-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6service-dev (>= 6.18.0~),
               libkf6widgetsaddons-dev (>= 6.18.0~),
               libkf6xmlgui-dev (>= 6.18.0~),
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/kparts
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kparts
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kparts.git
Rules-Requires-Root: no

Package: libkf6parts-data
Architecture: all
Depends: ${misc:Depends},
Multi-Arch: foreign
Description: Document centric plugin system
 Framework providing elaborate user-interface components.
 .
 This package contains the data files.

Package: libkf6parts-dev
Section: libdevel
Architecture: any
Depends: libkf6kio-dev (>= 6.18.0~),
         libkf6parts6 (= ${binary:Version}),
         libkf6xmlgui-dev (>= 6.18.0~),
         qt6-base-dev (>= 6.7.0~),
         ${misc:Depends},
Recommends: libkf6parts-doc (= ${source:Version}),
Description: development files for kparts
 Framework providing elaborate user-interface components.
 .
 Contains development files for kparts.

Package: libkf6parts-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Document centric plugin system (documentation)
 Framework providing elaborate user-interface components.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6parts6
Architecture: any
Multi-Arch: same
Depends: libkf6parts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Document centric plugin system
 Framework providing elaborate user-interface components.

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d.]+)/kparts-([\d.]+)\.tar\.xz
